Subject: Re: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Gregory Heytings <[email-masked]>
Date: Wed, 15 Feb 2023 14:34:57 +0000

>>> It sounds like the bug lies somewhere in the intersection of nXML and 
>>> the new long line fontification handling in Emacs 29 (with narrowing, 
>>> perhaps)?
>>
>> Yes, it's an example in which the cure of narrowing around 
>> fontification-functions could be considered worse than the disease. 
>> In this particular case however, the fontification routines already 
>> failed to do their job in Emacs 28 (and 24, 25, 26 and 27): after 
>> opening this file, errors are displayed in the echo area, and the 
>> buffer remains unfontified.
>
> If fontification-functions failed regardless of the restriction, then 
> perhaps fixing them so that they don't fail will also solve the greater 
> problem?
>

That's what I hope, indeed.

>
> Btw, how does the narrowing make the matters worse, exactly? what is the 
> mechanism of worsening the situation in this case?
>

I guess (but did not yet have time to investigate the issue in more 
detail) that it causes an infinite loop somewhere.